/**
Beispiel zu statischer Initialisierung und Class-Factories
@author Dipl.-Ing. Michael Sonntag
@version 1.0
*/
class Factory
{
    static String[] names=null;

    static
    {
        names=new String[2];
        names[0]="java.lang.String";
        names[1]="java.lang.StringBuffer";
    }

    protected Factory(){}

    static Object getInstance(int index)
    {
        String className=names[index];
        Object obj=null;
        try
        {
            obj=Class.forName(className).newInstance();
        }
        catch(Exception e)
        {
        }
        return obj;
    }

    public static void main(String[] args)
    {
        Object obj=Factory.getInstance(0);
        if(obj instanceof String)
            System.out.println("Obj 1 is a String!");
        else
            System.out.println("Obj 1 is NO String!");



        obj=Factory.getInstance(1);
        if(obj instanceof String)
            System.out.println("Object 2 is a String!");
        else
            System.out.println("Object 2 is NO String!");
        if(obj instanceof java.lang.StringBuffer)
            System.out.println("Object 2 is a StringBuffer!");
        else
            System.out.println("Object 2 is NO StringBuffer!");
 }
}
