import java.lang.Math;

/**
Beispielprogramm zu Konstruktoren
@author Dipl.-Ing. Michael Sonntag
@version 1.0
*/
public class Konstruktoren
{
    public String name;
    public int min=0;
    public int max=10;
    
    private static int objCount=0;

public Konstruktoren()
{
    name="Konstruktor-"+objCount++;
}

public Konstruktoren(String name)
{
    objCount++;
    // this wegen gleichem Namen ntig
    this.name=name;
}

public Konstruktoren(String name, int min)
{
    objCount++;
    this.name=name; // Oder: this(name);, dann aber OHNE objCount++!!!!!
    this.min=min;
}

public Konstruktoren(String name, int min, int max)
{
    this(name,min);
    this.max=max;
}

/* Alternative: Andersherum aufzumen
   public Konstruktoren()
   {
           this("Konstruktor-"+objCount,0,10);
   }
*/

public long round(double val)
{
    if(val<min)
        return min;
    if(val>max)
        return max;
    // ACHTUNG: Bei return round(val) entsteht eine Endlosschleife!
    return Math.round(val);
}

static public void main(String args[])
{
    System.out.println("Programmstart\n");
    Konstruktoren k1=new Konstruktoren();
    Konstruktoren k2=new Konstruktoren("Test2",6);
    System.out.println("Objekt 1: "+k1.round(5.3));
    System.out.println("Objekt 2: "+k2.round(5.3));
    System.out.println("\nProgrammende");
}

}

